///////////////////////////////////////////////////////////////////////////
//
//  NAME
//    mccl_cnc.h - motion control command language CNC mnemonics
//
//  DESCRIPTION
//    Include this header file in your source code to provide mnemonics
//    for the MCCL CNC-specific commands. These mnemonics make programming
//    with pmccmd() and pmcrpy() easier. This file is NOT required for 
//    general MCAPI programming.
//
//    #include "mccl.h"
//
//  RELEASE HISTORY
//    Copyright (c) 2013 by Precision Micro Control Corp. All rights
//    reserved.
//
//    $Id: mccl_cnc.h 800 2013-09-06 22:07:25Z brian $
//
//    Version 4.4.0		XX-Sep-13		Programmer: Brian Gaynor
//      - First release of these MCCL codes as part of the MCAPI.
//
///////////////////////////////////////////////////////////////////////////

#ifndef MCAPI_MCCL_CNC_H
#define MCAPI_MCCL_CNC_H

#define DBS		425		// Disable Block Skip
#define DBT		494		// Display Block Text
#define DDR		421		// Disable Dry Run
#define DFN		490		// Display File Number
#define DFP		491		// Display File Position
#define DOS		423		// Disable Optional Stop
#define DUO		495		// Display User Output
#define EBS		424		// Enable Block Skip
#define EDR		420		// Enable Dry Run
#define EOS		422		// Enable Optional Stop
#define GRS		480		// Get Run Status
#define IBB		411		// Initiate Block by Block
#define IFH		412		// Initiate FeedHold
#define IST		410		// Initiate Start
#define LOF		409		// Load Fanuc part program file
#define RCE		392		// Run Configuration Enable
#define RCF		402		// Run Configuration File
#define RTE		394		// Run Tool Data Enable
#define RTF		404		// Run Tool Data File
#define RUE		390		// Run Part Program Enable
#define RUF		400		// Run Part Program File
#define RUT		401		// Run Terminate
#define RWE		393		// Run Work Coordinate Enable
#define RWF		403		// Run Work Coordinate File
#define SFO		440		// Set Feedrate Override
#define SRO		441		// Set Rapid rate Overrride
#define SSO		442		// Set Spindle Override
#define TBP		461		// Tell Block file Position
#define TNP		462		// Tell Next file Position
#define TPN		465		// Tell Program Number
#define TRC		464		// Tell Repeat Count
#define TRS		460		// Tell Run Status
#define TSN		463		// Tell Sequence Number
#define TSS		467		// Tell Spindle Speed
#define TTN		466		// Tell Tool Number

#endif			// MCAPI_MCCL_CNC_H
