//
//  control_button.h - control button header file
//
//  $Id: control_button.h 37 2014-02-06 17:38:11Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef CONTROL_BUTTON_H
#define CONTROL_BUTTON_H

//
// ControlButton window
//
/// <summary>
/// ControlButton window class
/// </summary>

class ControlButton : public CButton
{
public:
	/// <summary>Constructor.</summary>
	ControlButton();
	/// <summary>Destructor.</summary>
	virtual ~ControlButton() {}

	/// <summary>Get the window procedure function pointer.</summary>
	/// <returns>Pointer to function.</returns>
	WNDPROC*					GetSuperWndProcAddr() { return &m_proc_addr; }

protected:
	/// <summary>Left button down handler.</summary>
	/// <param name="flags">Flags.</param>
	/// <param name="point">Pointer location.</param>
	afx_msg void				OnLButtonDown(UINT flags, CPoint point);
	/// <summary>Left button up handler.</summary>
	/// <param name="flags">Flags.</param>
	/// <param name="point">Pointer location.</param>
	afx_msg void				OnLButtonUp(UINT flags, CPoint point);
	DECLARE_MESSAGE_MAP()

private:
	WNDPROC						m_proc_addr;					///< windows procedure pointer
};

#endif			// CONTROL_BUTTON_H
