//
//  setup_offsets.h - setup offsets dialog class header file
//
//  $Id: setup_offsets_dlg.h 38 2014-02-06 18:52:23Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_OFFSETS_DIALOG_H__
#define __SETUP_OFFSETS_DIALOG_H__

extern int iOffsetNumber;		// Current Offset being modified
								//  in dialog. Declared as static to
								//  maintain value between dialog
								//  executions.

//
// CSetupOffsetsDlg dialog
//
class CSetupOffsetsDlg : public CDialog
{
// Construction
public:
	CSetupOffsetsDlg(CWnd* pParent = NULL);	// standard constructor

	// Declare temporary offset table objects to store dialog data. User
	//  may select cancel, which will discard all changes to offset tables
	OffsetTable DOffsetTable;
	OffsetTable HOffsetTable;
 	
// Dialog Data
	//{{AFX_DATA(CSetupOffsetsDlg)
	enum { IDD = IDD_SETUP_OFFSETS };
	CScrollBar	m_OffsetNumber_Scrol;
	CString	m_DGeometryOffset;
	CString	m_DWearOffset;
	double	m_DWearFactor;
	CString	m_HGeometryOffset;
	CString	m_HWearOffset;
	double	m_HWearFactor;
	CString	m_OffsetNumber;
	//}}AFX_DATA

// Implementation
public:
	void RetrieveVariables(int iOffsetNumber);
	void UpdateVariables(int iOffsetNumber);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupOffsetsDlg)
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillfocusOffsetNumber();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_OFFSETS_DIALOG_H__
