//
//  setup_tool_dlg.h - setup tool dialog class header file
//
//  $Id: setup_tool_dlg.h 40 2014-02-06 21:58:01Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#ifndef __SETUP_TOOL_DIALOG_H__
#define __SETUP_TOOL_DIALOG_H__

extern int iToolSetup;		// Current tool being modified
									//  in dialog. Declared as static to
									//  maintain value between dialog
									//  executions.

//
// CSetupToolDlg dialog
//
class CSetupToolDlg : public CDialog
{
// Construction
public:
	CSetupToolDlg(CWnd* pParent = NULL);	// standard constructor
	
	// Declare temporary tool objects to store dialog data. User
	//  may select cancel, which will discard all changes to tool
	//  table
	Tool						m_tools[TOOL_SIZE];

// Dialog Data
	//{{AFX_DATA(CSetupToolDlg)
	enum { IDD = IDD_SETUP_TOOL };
	CScrollBar	m_ToolScroll;
	CString	m_Tool;
	int		m_ToolOrientation;
	CString	m_ToolRadius;
	CString	m_XToolOffset;
	CString	m_YToolOffset;
	CString	m_ZToolOffset;
	CString	m_ToolDescription;
	CString	m_ToolWear;
	double	m_ToolWearFactor;
	//}}AFX_DATA

// Implementation
public:
	void RetrieveVariables(int iToolID);
	void UpdateVariables(int iToolID);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	
	// Generated message map functions
	//{{AFX_MSG(CSetupToolDlg)
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillfocusTool();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// __SETUP_TOOL_DIALOG_H__