//
//  setup_work_coord_dlg.h - setup work coordinates dialog class header file
//
//  $Id: setup_work_coord_dlg.h 40 2014-02-06 21:58:01Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef SETUP_WORK_COORD_DIALOG_H
#define SETUP_WORK_COORD_DIALOG_H

extern int iWorkCoorSetup;		// Current work coordinate being modified
								//  in dialog. Declared as static to
								//  maintain value between dialog
								//  executions.

//
// CSetupWorkCoorDlg dialog
//
class CSetupWorkCoorDlg : public CDialog
{
// Construction
public:
	CSetupWorkCoorDlg(CWnd* pParent = NULL);	// standard constructor
	
	// Declare temporary work coordinate objects to store dialog data. User may select cancel, which 
	// will discard all changes to work coordinate table
	WorkCoord WorkCoor[WORKCOOR_SIZE];

	// Dialog Data
	//{{AFX_DATA(CSetupWorkCoorDlg)
	enum { IDD = IDD_SETUP_WORK_COOR };
	CString	m_WorkCoor;
	CScrollBar	m_WorkCoor_Scroll;
	CString	m_UWorkOffset;
	CString	m_VWorkOffset;
	CString	m_WWorkOffset;
	CString	m_XWorkOffset;
	CString	m_YWorkOffset;
	CString	m_ZWorkOffset;
	//}}AFX_DATA

// Implementation
public:
	void RetrieveVariables(int iWorkCoorID);
	void UpdateVariables(int iWorkCoorID);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetupWorkCoorDlg)
	afx_msg void OnKillfocusWorkcoor();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif			// SETUP_WORK_COORD_DIALOG_H
